# xdg stuff
export XDG_DATA_HOME="$HOME/.local/share"
export XDG_CONFIG_HOME="$HOME/.config"
export XDG_STATE_HOME="$HOME/.local/state"
export XDG_CACHE_HOME="$HOME/.cache"
export _JAVA_OPTIONS=-Djava.util.prefs.userRoot="$XDG_CONFIG_HOME"/java
export NUGET_PACKAGES="$XDG_CACHE_HOME"/NuGetPackages
export NB_DIR="$XDG_DATA_HOME/nb"
export NBRC_PATH="$XDG_CONFIG_HOME/nbrc"
export ZSH_EVALCACHE_DIR="$HOME/.cache/evalcache"
export FZF_MARKS_FILE="$HOME/.config/fzfmarks"
export XCURSOR_PATH=/usr/share/icons:${XDG_DATA_HOME}/icons
export GTK2_RC_FILES="$XDG_CONFIG_HOME"/gtk-2.0/gtkrc
export GOPATH="$XDG_DATA_HOME"/go

# gpg
export GPG_TTY=$TTY

# stuff
export MANPAGER="sh -c 'col -bx | bat -l man -p'"
export LESSHISTFILE="-"

# ohmyzsh
export OMP="/usr/share/ohmyzsh/plugins"
export OML="/usr/share/ohmyzsh/lib"

# editor and visual
export EDITOR=nvim
export VISUAL=kate

# sheldon
export SHELDON_CONFIG_DIR="$HOME/.config/sheldon"
export SHELDON_DATA_DIR="$HOME/.local/sheldon"
export SHELDON_CONFIG_FILE="$SHELDON_CONFIG_DIR/plugins.toml"
export SHELDON_LOCK_FILE="$SHELDON_CONFIG_DIR/plugins.lock"
export SHELDON_CLONE_DIR="$SHELDON_DATA_DIR/repos"
export SHELDON_DOWNLOAD_DIR="$SHELDON_DATA_DIR/downloads"

# starship
export STARSHIP_CONFIG="$HOME/.config/starship/config.toml"
